Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class AbstractDelegate

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.WebRequestDelegatingRequestContext
          org.codehaus.groovy.grails.webflow.engine.builder.AbstractDelegate

    abstract class AbstractDelegate
    extends WebRequestDelegatingRequestContext

An abstract delegate that relays property look-ups onto a either the application context or the currently executing controller.

Authors:
  Graeme Rocher

Since:
  0.6

Property Summary
`org.springframework.webflow.execution.RequestContext` | `context`

Constructor Summary
`AbstractDelegate(org.springframework.webflow.execution.RequestContext context)`

Method Summary
`org.springframework.webflow.core.collection.MutableAttributeMap` | `getConversation()` Returns the conversation scope instance
`Event` | `getCurrentEvent()` Returns the current event
`org.springframework.webflow.core.collection.MutableAttributeMap` | `getFlash()` Returns the flash scope instance
`org.springframework.webflow.core.collection.MutableAttributeMap` | `getFlow()` Returns the flow scope instance
`java.lang.Object` | `getProperty(java.lang.String name)` Resolves properties from the currently executing controller

Methods inherited from class WebRequestDelegatingRequestContext
getActionName, getApplicationContext, getControllerName, getOut, getParams, getRequest, getRequestURI, getResponse, getServletContext, getSession, getWebRequest

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### context

    org.springframework.webflow.execution.RequestContext context

Constructor Detail

### AbstractDelegate

    AbstractDelegate(org.springframework.webflow.execution.RequestContext context)

Method Detail

### getConversation

    org.springframework.webflow.core.collection.MutableAttributeMap getConversation()

  Returns the conversation scope instance

### getCurrentEvent

    Event getCurrentEvent()

  Returns the current event

### getFlash

    org.springframework.webflow.core.collection.MutableAttributeMap getFlash()

  Returns the flash scope instance

### getFlow

    org.springframework.webflow.core.collection.MutableAttributeMap getFlow()

  Returns the flow scope instance

### getProperty

    java.lang.Object getProperty(java.lang.String name)

  Resolves properties from the currently executing controller

Groovy Documentation